OCF_HEARTBEAT_ORALSN(7)

NAME
ocf_heartbeat_oralsnr - Manages an Oracle TNS listener

SYNOPSIS

oralsnr [start | stop | status | monitor | meta-data | validate-all]

DESCRIPTION

Resource script for Oracle Listener. It manages an Oracle Listener instance as an HA resource.

SUPPORTED PARAMETERS

sid
    The Oracle SID (aka ORACLE_SID). Necessary for the monitor op, i.e. to do tnsping SID.

    (unique, required, string, no default)

home
    The Oracle home directory (aka ORACLE_HOME). If not specified, then the SID should be listed in /etc/oratab.

    (optional, string, no default)

user
    Run the listener as this user.

    (optional, string, no default)

listener
    Listener instance to be started (as defined in listener.ora). Defaults to LISTENER.

    (unique, optional, string, default "LISTENER")

tns_admin
    Full path to the directory that contains the Oracle listener tnsnames.ora configuration file. The shell variable TNS_ADMIN is set to the value provided.

    (optional, string, no default)

SUPPORTED ACTIONS

This resource agent supports the following actions (operations):

start
    Starts the resource. Suggested minimum timeout: 120s.

stop
    Stops the resource. Suggested minimum timeout: 120s.

status
    Performs a status check. Suggested minimum timeout: 60s.

monitor
    Performs a detailed status check. Suggested minimum timeout: 30s. Suggested interval: 10s.

validate-all
    Performs a validation of the resource configuration. Suggested minimum timeout: 5s.

meta-data
    Retrieves resource agent metadata (internal use only). Suggested minimum timeout: 5s.

methods
    Suggested minimum timeout: 5s.

EXAMPLE CRM SHELL

The following is an example configuration for a oralsnr resource using the crm(8) shell:

    primitive p_oralsnr ocf:heartbeat:oralsnr \
      params \
        sid=string \
      op monitor depth="0" timeout="30s" interval="10s"

EXAMPLE PCS

The following is an example configuration for a oralsnr resource using pcs(8)

    pcs resource create p_oralsnr ocf:heartbeat:oralsnr \
      sid=string \
      op monitor OCF_CHECK_LEVEL="0" timeout="30s" interval="10s"

SEE ALSO

http://clusterlabs.org/

AUTHOR

ClusterLabs contributors (see the resource agent source for information about individual authors)